summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-plugins/gst-plugins-libav: Stabilize 1.16.2-r1 arm, #728940Sam James4 hours1-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* media-plugins/gst-plugins-libav: amd64 stable wrt bug #728940Mikle Kolyada2020-06-291-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-plugins/gst-plugins-libav: arm64 stable (bug #728940)Sam James (sam_c)2020-06-221-1/+1
| | | | | | Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Sam James (sam_c) <sam@cmpct.info> Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: x86 stable (bug #728940)Thomas Deutschmann2020-06-211-1/+1
| | | | | Package-Manager: Portage-2.3.101, Repoman-2.3.22 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* Remove MULTILIB_USEDEP from all virtual/pkgconfig dependenciesMike Gilbert2020-06-132-2/+2
| | | | | Bug: https://bugs.gentoo.org/723112 Signed-off-by: Mike Gilbert <floppym@gentoo.org>
* media-plugins/gst-plugins-libav-1.16.2: use system ffmpeg properlyMart Raudsepp2020-05-071-0/+5
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: ebuild cleanups after libav removalMart Raudsepp2020-05-031-7/+4
| | | | | Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: Version bump, 1.16.2Haelwenn (lanodan) Monnier2020-05-032-0/+59
| | | | | Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* */*: Drop stable ia64 keywordsMatt Turner2020-04-031-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* */*: Bump copyright on files touched this yearMichał Górny2020-02-111-1/+1
| | | | | | | Update the copyright notice on all files that were touched since January 1st but did not have the notice updated. Signed-off-by: Michał Górny <mgorny@gentoo.org>
* */*: Drop stable alpha keywordsMatt Turner2020-01-251-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2019-10-132-92/+0
| | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329: ppc64 stable, bug 682558Matt Turner2019-10-131-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329: ppc stable, bug 682558Matt Turner2019-10-131-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.4.1.3_p20190329: alpha stable, bug 682558Matt Turner2019-10-121-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins: Remove *-fbsd KEYWORDSMichał Górny2019-10-112-2/+2
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-plugins/gst-plugins-libav: ia64 stable wrt bug #682558Mikle Kolyada2019-09-261-1/+1
| | | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.16 RepoMan-Options: --include-arches="ia64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-plugins/gst-plugins-libav: arm stable wrt bug #682558Mikle Kolyada2019-07-281-1/+1
| | | | | | Package-Manager: Portage-2.3.66, Repoman-2.3.16 RepoMan-Options: --include-arches="arm" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* media-plugins/gst-plugins-libav: x86 stable (bug #682558)Thomas Deutschmann2019-07-081-1/+1
| | | | | Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* media-plugins/gst-plugins-libav: amd64 stableAaron Bauman2019-05-211-1/+1
| | | | | | * for real this time Signed-off-by: Aaron Bauman <bman@gentoo.org>
* media-plugins/gst-plugins-libav: amd64 stableAaron Bauman2019-05-211-1/+1
| | | | Signed-off-by: Aaron Bauman <bman@gentoo.org>
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2019-04-043-209/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: bump bundled ffmpeg for USE=libavMart Raudsepp2019-04-042-0/+105
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: bump bundled ffmpeg for USE=libav, ↵Mart Raudsepp2019-03-303-0/+145
| | | | | | | | timestamp fixes Closes: https://bugs.gentoo.org/681710 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2019-03-302-103/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: keyword ~arm64Alexis Ballier2019-02-191-1/+1
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
* media-plugins/gst-plugins-libav: leak fix; bump bundled ffmpeg used with ↵Mart Raudsepp2019-02-123-0/+138
| | | | | | | USE=libav Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2019-02-062-77/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.3.4.5: alpha stable, bug 674854Matt Turner2019-01-241-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.3.4.5: ia64 stable, bug 674854Matt Turner2019-01-241-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav: arm stable wrt bug #674854Mikle Kolyada2019-01-231-1/+1
| | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2019-01-162-77/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.3.4.5: ppc64 stable, bug 674854Matt Turner2019-01-081-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.3.4.5: ppc stable, bug 674854Matt Turner2019-01-081-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.3.4.5: amd64 stable, bug 674854Matt Turner2019-01-081-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav: x86 stable (bug #674854)Thomas Deutschmann2019-01-091-2/+2
| | | | | Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
* media-plugins/gst-plugins-libav-1.14.4.4.1_p20181115: added ~alpha, bug 653676Matt Turner2018-12-221-1/+1
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* media-plugins/gst-plugins-libav: add ffmpeg-4 compatibility patches, other ↵Mart Raudsepp2018-11-263-0/+124
| | | | | | | | | | | | | | | | | | | | | | tweaks * Pull a selective patchset from git master, that brings in ffmpeg-4 compatibility and some bug fixes; patchset tarball README has further details. * Add a debian-inspired patch to tell gstreamer registry that the libav plugin supported features may change, when the system ffmpeg library files change. This should hopefully ensure that gstreamer sees new codecs immediately after system-ffmpeg is recompiled to add them. Compared to Debian, we conditionalize it based on USE=libav, so it's only actually done if system-ffmpeg is used, as for us it's a choice, not always system-ffmpeg; this is achieved via #ifndef, thus no conditional patching. * Make bundled ffmpeg builds verbose for better build.log * Try harder to honor user choices for bundled ffmpeg builds with USE=libav by always disabling debug and passing CFLAGS as optflags; courtesy of Arfrever Frehtes Taifersar Arahesis Closes: https://bugs.gentoo.org/654628 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.52, Repoman-2.3.11
* media-plugins/gst-plugins-libav: add local description for USE=libavMart Raudsepp2018-11-241-0/+4
| | | | | | Closes: https://bugs.gentoo.org/671784 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* media-plugins/gst-plugins-libav: update bundled ffmpeg to 3.4.5 for USE=libavMart Raudsepp2018-11-232-1/+1
| | | | | Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* media-plugins/gst-plugins-libav: tweak USE=libav ewarn for bundled ffmpegMart Raudsepp2018-11-231-1/+1
| | | | | | | | | This isn't an internal copy anymore in the sense of coming from gst-libav tarball, but rather a bundled version that we update ourselves, so tweak the terminology to "bundled" Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* media-plugins/gst-plugins-libav: Update ffmpeg version with USE=libavArfrever Frehtes Taifersar Arahesis2018-11-232-0/+93
| | | | | | Closes: https://bugs.gentoo.org/666674 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* media-plugins/gst-plugins-libav: reduce damage from uncoordinated ffmpeg-4 ↵Mart Raudsepp2018-11-062-4/+8
| | | | | | | | | | unmask by requiring <ffmpeg-4 Bug: https://bugs.gentoo.org/654628 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* media-plugins/gst-plugins-libav: remove oldMart Raudsepp2018-09-212-74/+0
| | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10
* media-plugins/gst-plugins-libav: stable 1.14.1 for ia64, bug #661288Sergei Trofimovich2018-09-191-1/+1
| | | | | Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ia64"
* media-plugins/gst-plugins-libav-1.14.1: ppc64 stable, bug 661288Matt Turner2018-09-171-1/+1
|
* media-plugins/gst-plugins-libav-1.14.1: ppc stable, bug 661288Matt Turner2018-09-171-1/+1
|
* media-plugins/gst-plugins-libav: arm stable, bug #661288Markus Meier2018-08-221-1/+1
| | | | | Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="arm"
* media-plugins/gst-plugins-libav: bump to 1.14.2 for upstream bug fixesMart Raudsepp2018-07-312-0/+75
| | | | Package-Manager: Portage-2.3.43, Repoman-2.3.10
* media-plugins/gst-plugins-libav: x86 stable (bug #661288)Thomas Deutschmann2018-07-311-1/+1
| | | | Package-Manager: Portage-2.3.44, Repoman-2.3.10